Skip to main content

Retrieve Payment Method

GET 

/payment-methods/:payment_method_id

Returns a single Payment Method.

Readable by the owner, an admin, or the account's onboarder (a merchant may read its individuals' payment methods; a partner its merchants'). This endpoint returns the full account number; the list endpoint exposes last4 only.

Request

Path Parameters

    payment_method_id uuidrequired

    Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

    Payment Method's ID

Responses

Payment Methods retrieved

Schema

    status string

    Possible values: [success]

    data

    object

    anyOf

    id uuid

    Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

    UUID v4

    type string

    Possible values: [card, bank-account, wallet, crypto-wallet]

    billing_details

    object

    name stringnullable

    Possible values: <= 255 characters

    Name of the billing contact person

    email emailnullable

    Possible values: <= 255 characters

    Email Address

    phone_number PhoneNumber (string)nullable

    Possible values: non-empty and <= 20 characters

    Phone Number

    address

    object

    nullable

    Address of the billing contact

    country CountryISO (string)nullable

    Possible values: >= 2 characters and <= 2 characters

    Two-letter code ISO 3166-1 country code

    line1 stringnullable

    Possible values: <= 255 characters

    line2 stringnullable

    Possible values: <= 255 characters

    zip stringnullable

    Possible values: <= 255 characters

    city stringnullable

    Possible values: <= 255 characters

    state stringnullable

    Possible values: <= 255 characters

    credit boolean

    Specifies if the payment method can be used as a destination in charges/transfers

    debit boolean

    Specifies if the payment method can be used as a source in charges/transfers

    business_id uuidnullable

    Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

    UUID v4

    customer_id uuidnullable

    Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

    UUID v4

    created_on Unix timestamp

    Unix timestamp representing the date

    card

    object

    expiration

    object

    month string

    Possible values: >= 2 characters and <= 2 characters

    2 digit expiration month

    year string

    Possible values: >= 4 characters and <= 4 characters

    4 digit expiration year

    brand string
    last4 string
    code integer

    Possible values: [200]

    message string

    Possible values: [Successful request]

Loading...